<!DOCTYPE html>
<html>

<head>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>
    <div class="container">
        <form id="form-submit">
            <div class="row d-flex align-items-center min-vh-100">
                <div class="col-sm-4 text-center mx-auto my-0 jumbotron">
                    <div class="mb-5">
                        <h3 class="text-center">Login to your account</h3>
                    </div>

                    <div>
                        <div class="form-group">
                            <input type="text" name="username" placeholder="Username" id="inp-login-username"
                                class="form-control" value="" autocomplete="username" required>
                        </div>
                        <div class="form-group">
                            <input name="password" id="pwd-login-password" placeholder="Password" class="form-control"
                                value="" type="password" autocomplete="inp-current-password" required>
                        </div>
                        <div class="form-group">
                            <input type="checkbox" name="rememberusername" id="ckb-remember-username"
                                class="form-check-input">
                            <label class="form-check-label" for="rememberusername">Reemember username</label>

                            <a class="float-right" href="#">Lost password?</a>
                        </div>
                        <div class="form-group">
                            <button type="submit" id="btn-submit" class="btn btn-log btn-block btn-info">Đăng
                                nhập</button>
                        </div>
                    </div>

                    <div class="text-left">Or <a href="#">Sign-up</a> for having an account</div>
                </div>
            </div>
        </form>
    </div>

</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    console.log("hehhehe")
    $(document).ready(function () {
        $("#form-submit").submit(function (event) {
            event.preventDefault();
            onBtnSubmit();

        })

    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onBtnSubmit() {
        var vDataObj = {
            userName: "",
            password: "",
            rememberCheck: false,
        };
        thuThapThongTinn(vDataObj);
        console.log(vDataObj.userName);
        var vCheck = kiemTraThongTinn(vDataObj);
        if (vCheck) {
            hienThiThongTinn(vDataObj);
            console.log("hello aaaa");
        }
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // ham thu thap du lieu
    function thuThapThongTinn(paramData) {
        paramData.userName = $("#inp-login-username").val().trim();
        paramData.password = $("#pwd-login-password").val().trim();
        paramData.rememberCheck = $("#ckb-remember-username").is(":checked");
    }
    // ham kiem tra thong tin
    function kiemTraThongTinn(paramData) {
        if (paramData.userName == "") {
            alert("nhap day du");
            $("#inp-login-username").focus();

            return false;
        }
        if (paramData.password == "") {
            alert("nhap day du");

            $("#pwd-login-password").focus();
            return false;
        }
        if (paramData.rememberCheck == false) {
            alert("check");
            return false;
        }
        return true;
    }
    // hien thi thong tin
    function hienThiThongTinn(paramData) {
        console.log(paramData);
    }

</script>

</html>